## node-markdown-it 10.0.0+dfsg

=== Makefile ===
PATH        := ./node_modules/.bin:${PATH}

NPM_PACKAGE := $(shell node -e 'process.stdout.write(require("./package.json").name)')
NPM_VERSION := $(shell node -e 'process.stdout.write(require("./package.json").version)')

TMP_PATH    := /tmp/${NPM_PACKAGE}-$(shell date +%s)

REMOTE_NAME ?= origin
REMOTE_REPO ?= $(shell git config --get remote.${REMOTE_NAME}.url)

CURR_HEAD   := $(firstword $(shell git show-ref --hash HEAD | cut -b -6) master)
GITHUB_PROJ := https://github.com//markdown-it/${NPM_PACKAGE}


lint:
	eslint .

test: lint
	mocha -R spec

coverage:
	rm -rf coverage
	istanbul cover node_modules/.bin/_mocha

.PHONY: lint test  coverage
.SILENT: lint test

=== debian/changelog ===
node-markdown-it (10.0.0+dfsg-6) unstable; urgency=medium

  * Team upload
  * Fix ReDoS (Closes: CVE-2022-21670)

 -- Yadd <yadd@debian.org>  Sat, 15 Jan 2022 12:30:43 +0100

node-markdown-it (10.0.0+dfsg-5) unstable; urgency=medium

  * team upload

  * use and build-depend on terser (not uglifyjs.terser)

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Dec 2021 21:07:07 +0100

node-markdown-it (10.0.0+dfsg-4) unstable; urgency=medium

  * Team upload
  * Update standards version to 4.6.0, no changes needed.
  * Add ctype=nodejs to component(s)
  * Fix debian/watch
    * Fix filenamemangle
    * Fix GitHub tags regex
    * Use /tags instead of /releases
  * Use dh-sequence-nodejs instead of pkg-js-tools
  * Drop dependency to nodejs
  * Mark test dependencies with <!nocheck>
  * Refresh patches

 -- Yadd <yadd@debian.org>  Thu, 25 Nov 2021 14:29:58 +0100

node-markdown-it (10.0.0+dfsg-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update standards version to 4.5.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 29 Aug 2021 01:53:18 +0100

node-markdown-it (10.0.0+dfsg-2) unstable; urgency=medium

  * Team Upload
  * Drop dependency on nodejs and provide libjs-markdown-it

 -- Pirate Praveen <praveen@debian.org>  Sun, 06 Sep 2020 15:41:27 +0530

node-markdown-it (10.0.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #951104)

 -- Sakshi Sangwan <sangwansakshi10@gmail.com>  Sun, 02 Feb 2020 14:09:09 -0500

=== debian/control ===
Source: node-markdown-it
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Sakshi Sangwan <sangwansakshi10@gmail.com>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , chai <!nocheck>
 , mocha <!nocheck>
 , node-argparse
 , node-entities
 , node-js-yaml
 , node-object-assign
 , node-supertest
 , rollup
 , terser
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-markdown-it
Vcs-Git: https://salsa.debian.org/js-team/node-markdown-it.git
Homepage: https://github.com/markdown-it/markdown-it#readme
Rules-Requires-Root: no

Package: node-markdown-it
Architecture: all
Depends: ${misc:Depends}
 , node-entities (>= 2.0.0)
Provides: libjs-markdown-it
Description: Fast and easy to extend markdown parser
 Follows the CommonMark spec, adds syntax extensions and sugar (URL
 autolinking, typographer). Provides configurable syntax, can add new
 rules and even replace existing ones, and high speed
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_install:
	dh_install
	# Remove command line inteface to provide libjs-markdown-it
	# This is required to remove nodejs dependency
	# If someone require it in future, we will have to create
	# separate binaries
	rm -f debian/node-markdown-it/usr/share/nodejs/markdown-it/bin/markdown-it.js

=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-markdown-it-$1/ \
 https://github.com/markdown-it/markdown-it/tags .*/archive/.*/v?([\d\.]+).tar.gz


opts=\
ctype=nodejs,\
component=ucmicro,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-uc.micro-$1/ \
 https://github.com/markdown-it/uc.micro/tags .*/archive/.*/v?([\d\.]+).tar.gz ignore

opts=\
ctype=nodejs,\
component=mdurl,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-mdurl-$1/ \
 https://github.com/markdown-it/mdurl/tags .*/archive/.*/v?([\d\.]+).tar.gz ignore

opts=\
ctype=nodejs,\
component=linkify-it,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-linkify-it-$1/ \
 https://github.com/markdown-it/linkify-it/tags .*/archive/.*/v?([\d\.]+).tar.gz ignore

opts=\
ctype=nodejs,\
component=markdown-it-testgen,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-markdown-it-testgen-$1/ \
 https://github.com/markdown-it/markdown-it-testgen/tags .*/archive/.*/v?([\d\.]+).tar.gz ignore

opts=\
ctype=nodejs,\
component=markdown-it-for-inline,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-markdown-it-for-inline-$1/ \
 https://github.com/markdown-it/markdown-it-for-inline/tags .*/archive/.*/v?([\d\.]+).tar.gz ignore

## node-markdown-it 22.2.3+dfsg+~12.2.3

=== Makefile ===
--- 
+++ 
@@ -12,15 +12,99 @@
 GITHUB_PROJ := https://github.com//markdown-it/${NPM_PACKAGE}
 
 
+demo: lint
+	rm -rf ./demo
+	mkdir ./demo
+	./support/demodata.js > ./support/demo_template/sample.json
+	pug ./support/demo_template/index.pug --pretty \
+		--obj ./support/demo_template/sample.json \
+		--out ./demo
+	stylus -u autoprefixer-stylus \
+		< ./support/demo_template/index.styl \
+		> ./demo/index.css
+	rm -rf ./support/demo_template/sample.json
+	browserify ./ -s markdownit > ./demo/markdown-it.js
+	browserify ./support/demo_template/index.js > ./demo/index.js
+	cp ./support/demo_template/README.md ./demo/
+
+gh-demo: demo
+	touch ./demo/.nojekyll
+	cd ./demo \
+		&& git init . \
+		&& git add . \
+		&& git commit -m "Auto-generate demo" \
+		&& git remote add origin git@github.com:markdown-it/markdown-it.github.io.git \
+		&& git push --force origin master
+	rm -rf ./demo
+
 lint:
 	eslint .
 
 test: lint
-	mocha -R spec
+	mocha
+	echo "CommonMark stat:\n"
+	./support/specsplit.js test/fixtures/commonmark/spec.txt
 
 coverage:
 	rm -rf coverage
 	istanbul cover node_modules/.bin/_mocha
 
-.PHONY: lint test  coverage
-.SILENT: lint test
+report-coverage:
+	-istanbul cover ./node_modules/mocha/bin/_mocha --report lcovonly -- -R spec && cat ./coverage/lcov.info | ./node_modules/coveralls/bin/coveralls.js && rm -rf ./coverage
+
+doc:
+	rm -rf ./apidoc
+	ndoc --link-format "https://github.com/{package.repository}/blob/${CURR_HEAD}/{file}#L{line}"
+
+gh-doc: doc
+	touch ./apidoc/.nojekyll
+	cd ./apidoc \
+		&& git init . \
+		&& git add . \
+		&& git commit -m "Auto-generate API doc" \
+		&& git remote add remote git@github.com:markdown-it/markdown-it.git \
+		&& git push --force remote +master:gh-pages
+	rm -rf ./apidoc
+
+publish:
+	@if test 0 -ne `git status --porcelain | wc -l` ; then \
+		echo "Unclean working tree. Commit or stash changes first." >&2 ; \
+		exit 128 ; \
+		fi
+	@if test 0 -ne `git fetch ; git status | grep '^# Your branch' | wc -l` ; then \
+		echo "Local/Remote history differs. Please push/pull changes." >&2 ; \
+		exit 128 ; \
+		fi
+	@if test 0 -ne `git tag -l ${NPM_VERSION} | wc -l` ; then \
+		echo "Tag ${NPM_VERSION} exists. Update package.json" >&2 ; \
+		exit 128 ; \
+		fi
+	git tag ${NPM_VERSION} && git push origin ${NPM_VERSION}
+	npm publish ${GITHUB_PROJ}/tarball/${NPM_VERSION}
+
+browserify:
+	rm -rf ./dist
+	mkdir dist
+	# Browserify
+	( printf "/*! ${NPM_PACKAGE} ${NPM_VERSION} ${GITHUB_PROJ} @license MIT */" ; \
+		browserify ./ -s markdownit \
+		) > dist/markdown-it.js
+	# Minify
+	terser dist/markdown-it.js -b beautify=false,ascii_only=true -c -m \
+		--preamble "/*! ${NPM_PACKAGE} ${NPM_VERSION} ${GITHUB_PROJ} @license MIT */" \
+		> dist/markdown-it.min.js
+
+benchmark-deps:
+	npm install --prefix benchmark/extra/ -g marked@0.3.6 commonmark@0.26.0 markdown-it/markdown-it.git#2.2.1
+
+specsplit:
+	./support/specsplit.js good ./test/fixtures/commonmark/spec.txt > ./test/fixtures/commonmark/good.txt
+	./support/specsplit.js bad ./test/fixtures/commonmark/spec.txt > ./test/fixtures/commonmark/bad.txt
+	./support/specsplit.js ./test/fixtures/commonmark/spec.txt
+
+todo:
+	grep 'TODO' -n -r ./lib 2>/dev/null || test true
+
+
+.PHONY: publish lint test todo demo coverage doc
+.SILENT: help lint test todo

=== debian/changelog ===
node-markdown-it (22.2.3+dfsg+~12.2.3-3) experimental; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + node-markdown-it: Add Multi-Arch: foreign.

  [ Jérémy Lal ]
  * Team upload
  * Modernize rules a bit
  * node-supertest is a test dep
  * Install @types/markdown-it (Closes: #1109221).

 -- Jérémy Lal <kapouer@melix.org>  Sun, 13 Jul 2025 19:35:37 +0200

node-markdown-it (22.2.3+dfsg+~12.2.3-2) unstable; urgency=medium

  * Team upload
  * Replace entities hook by local entities.json

 -- Yadd <yadd@debian.org>  Sun, 01 May 2022 14:19:30 +0200

node-markdown-it (22.2.3+dfsg+~12.2.3-1) unstable; urgency=medium

  * Team upload
  * Added component types-markdown-it
  * New upstream version 22.2.3+dfsg+~12.2.3
  * Added nodejs Provides
  * Added copyright for component types-markdown-it
  * Added symlinks

 -- Israel Galadima <izzygaladima@gmail.com>  Mon, 18 Apr 2022 16:34:37 +0000

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,9 @@
  , chai <!nocheck>
  , mocha <!nocheck>
  , node-argparse
- , node-entities
  , node-js-yaml
  , node-object-assign
- , node-supertest
+ , node-supertest <!nocheck>
  , rollup
  , terser
 Standards-Version: 4.6.0
@@ -24,8 +23,9 @@
 Package: node-markdown-it
 Architecture: all
 Depends: ${misc:Depends}
- , node-entities (>= 2.0.0)
 Provides: libjs-markdown-it
+ , ${nodejs:Provides}
+Multi-Arch: foreign
 Description: Fast and easy to extend markdown parser
  Follows the CommonMark spec, adds syntax extensions and sugar (URL
  autolinking, typographer). Provides configurable syntax, can add new

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,7 @@
 %:
 	dh $@
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	# Remove command line inteface to provide libjs-markdown-it
 	# This is required to remove nodejs dependency
 	# If someone require it in future, we will have to create

=== debian/watch ===
--- 
+++ 
@@ -4,7 +4,7 @@
 repack,compression=xz,\
 dversionmangle=auto,\
 filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-markdown-it-$1/ \
- https://github.com/markdown-it/markdown-it/tags .*/archive/.*/v?([\d\.]+).tar.gz
+ https://github.com/markdown-it/markdown-it/tags .*/archive/.*/v?([\d\.]+).tar.gz group
 
 
 opts=\
@@ -41,3 +41,8 @@
 dversionmangle=auto,\
 filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-markdown-it-for-inline-$1/ \
  https://github.com/markdown-it/markdown-it-for-inline/tags .*/archive/.*/v?([\d\.]+).tar.gz ignore
+
+# It is not recommended use npmregistry. Please investigate more.
+# Take a look at https://wiki.debian.org/debian/watch/
+opts="searchmode=plain,component=types-markdown-it,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-markdown-it-$1/" \
+ https://registry.npmjs.org/@types/markdown-it https://registry.npmjs.org/@types/markdown-it/-/markdown-it-([\d\.]+)@ARCHIVE_EXT@ checksum
